## request-tracker5 5.0.9+dfsg

=== debian/changelog ===
request-tracker5 (5.0.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch no longer needed:
    - upstream_5.0.7_cve:_patchset_2025-10-07.diff
  * RT has switched from File::Dropbox to WebService::Dropbox, update
    recommends.
  * Refresh d/copyright.
  * Drop "Priority: optional" from d/control as this is now the default.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 14 Feb 2026 00:37:53 +1300

request-tracker5 (5.0.7+dfsg-6) unstable; urgency=high

  * Lintian overrides for Download-URL-Mangle required due to change to d/watch
    v5.
  * Apply patch to tests to handle WWW::Mechanize behaviour change.
  * Cut down on the upstream tests we run with autopkgtest as the full set
    takes a long time to run and time out on the slower test boxes.
  * Fix saving of the test files.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon, 27 Oct 2025 16:14:07 +1300

request-tracker5 (5.0.7+dfsg-5) unstable; urgency=high

  * Apply upstream patch which fixes several security vulnerabilities:
    - [CVE-2025-61873] Fix CSV injection via ticket values with special
      characters that are exported to a TSV from search results.
    - [CVE-2025-9158] Fix XSS via calendar invitations added to a ticket.
  * Update d/watch to v5.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 23 Oct 2025 11:48:52 +1300

request-tracker5 (5.0.7+dfsg-4) unstable; urgency=high

  * Update d/watch to only look for versions that match 5.x.y as version 6 will
    be handled by request-tracker6.
  * Debianize the UPGRADING-4.4 and UPGRADING-5.0 instructions to use paths
    etc that are used on Debian.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Wed, 21 May 2025 20:43:14 +1200

request-tracker5 (5.0.7+dfsg-3) unstable; urgency=high

  * Update Standards-Version to 4.7.2 (no changes).
  * Refresh d/copyright.
  * Add Catalan translation, thank you Carles Pina i Estany!
  * Apply upstream patches which fix several security vulnerabilities
    (Closes: #1104422).
    - [CVE-2025-30087] Vulnerable to Cross Site Scripting via injection of
      malicious parameters in a search URL.
    - [CVE-2025-2545] RT uses the default OpenSSL cipher, 3DES (des3), for
      encrypting SMIME email. This is an outdated cipher algorithm, so the
      default is changed to aes-128-cbc. In addition, this is now configurable
      so you can pick an alternate cipher now or in the future, or revert to
      des3 if needed for compatibility.
    - [CVE-2025-31501] Vulnerable to Cross Site Scripting via JavaScript
      injection in an Asset name.
    - [CVE-2025-31500] Vulnerable to Cross Site Scripting via JavaScript
      injection in an RT permalink.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 04 May 2025 17:51:52 +1200
