=== debian/control ===
Source: request-tracker5
Standards-Version: 4.7.3
Maintainer: Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>
Uploaders:
 Niko Tyni <ntyni@debian.org>,
 Andrew Ruthven <andrew@etc.gen.nz>,
 Dominic Hargreaves <dom@earth.li>,
Section: misc
Build-Depends:
 ckbuilder,
 debhelper-compat (= 13),
 gnupg,
 libapache-session-perl,
 libbusiness-hours-perl,
 libcgi-emulate-psgi-perl,
 libcgi-pm-perl,
 libcgi-psgi-perl,
 libclass-accessor-perl,
 libclone-perl,
 libconvert-color-perl,
 libcpanel-json-xs-perl,
 libcrypt-eksblowfish-perl,
 libcrypt-x509-perl,
 libcss-inliner-perl,
 libcss-minifier-xs-perl,
 libcss-squish-perl,
 libdata-guid-perl,
 libdata-ical-perl,
 libdata-page-perl,
 libdate-extract-perl,
 libdate-manip-perl,
 libdatetime-format-natural-perl,
 libdatetime-locale-perl (>= 1:1.02),
 libdatetime-perl,
 libdbd-mysql-perl (<< 5.001),
 libdbd-sqlite3-perl (>= 1.72),
 libdbi-perl,
 libdbix-searchbuilder-perl (>= 1.80),
 libdevel-globaldestruction-perl,
 libemail-abstract-perl,
 libemail-address-list-perl,
 libemail-address-perl (>= 1.908),
 libencode-detect-perl,
 libencode-hanextra-perl,
 libencode-perl (>= 2.64),
 libfcgi-perl,
 libfile-sharedir-perl,
 libfile-which-perl,
 libgd-graph-perl (>= 1.54~ds),
 libgd-text-perl,
 libgnupg-interface-perl (>= 1.02),
 libgraphviz2-perl,
 libhtml-formatexternal-perl,
 libhtml-formattext-withlinks-andtables-perl (>= 0.06),
 libhtml-formattext-withlinks-perl,
 libhtml-gumbo-perl,
 libhtml-mason-perl,
 libhtml-mason-psgihandler-perl,
 libhtml-parser-perl,
 libhtml-quoted-perl,
 libhtml-rewriteattributes-perl (>= 0.06),
 libhtml-scrubber-perl,
 libhttp-message-perl (>= 6.07),
 libipc-run-perl,
 libipc-run3-perl,
 libjavascript-minifier-xs-perl,
 libjson-perl,
 liblist-moreutils-perl,
 liblocale-maketext-fuzzy-perl,
 liblocale-maketext-lexicon-perl,
 liblocale-po-perl,
 liblog-dispatch-perl,
 liblog-dispatch-perl-perl,
 libmailtools-perl (>= 2.12),
 libmarkdown-render-perl,
 libmime-tools-perl (>= 5.504),
 libmime-types-perl,
 libmodule-path-perl,
 libmodule-refresh-perl,
 libmodule-runtime-perl,
 libmodule-versions-report-perl,
 libmojolicious-perl,
 libmoose-perl,
 libmoosex-nonmoose-perl,
 libmoosex-role-parameterized-perl,
 libnet-cidr-perl,
 libnet-ip-perl,
 libnet-ldap-perl,
 libnet-ldap-server-test-perl,
 libnet-ssleay-perl,
 libparallel-forkmanager-perl,
 libpath-dispatcher-perl (>= 1.07),
 libperlio-eol-perl,
 libplack-middleware-test-stashwarnings-perl (>= 0.08),
 libplack-perl (>= 1.0002),
 libpod-parser-perl,
 libpod-simple-perl (>= 3.24),
 libregexp-common-net-cidr-perl,
 libregexp-common-perl,
 libregexp-ipv6-perl,
 librole-basic-perl,
 libscope-upper-perl,
 libset-tiny-perl,
 libstring-shellquote-perl,
 libsymbol-global-name-perl,
 libterm-readkey-perl,
 libtest-deep-perl,
 libtest-email-perl,
 libtest-expect-perl,
 libtest-longstring-perl,
 libtest-mocktime-hires-perl,
 libtest-mocktime-perl,
 libtest-nowarnings-perl,
 libtest-pod-perl,
 libtest-warn-perl,
 libtest-www-mechanize-perl,
 libtest-www-mechanize-psgi-perl,
 libtext-autoformat-perl,
 libtext-password-pronounceable-perl,
 libtext-quoted-perl (>= 2.07),
 libtext-template-perl,
 libtext-wikiformat-perl,
 libtext-worddiff-perl,
 libtext-wrapper-perl,
 libtime-parsedate-perl,
 libtimedate-perl,
 libtree-simple-perl,
 liburi-perl,
 libweb-machine-perl,
 libwww-mechanize-perl,
 libwww-perl,
 libxml-rss-perl,
 libxml-simple-perl,
 perl,
 po-debconf,
 starlet,
 tzdata,
Vcs-Browser: https://salsa.debian.org/request-tracker-team/request-tracker5
Vcs-Git: https://salsa.debian.org/request-tracker-team/request-tracker5.git
Homepage: https://bestpractical.com/rt/
Rules-Requires-Root: binary-targets

Package: request-tracker5
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 dbconfig-common | dbconfig-no-thanks,
 default-mta | mail-transport-agent,
 fonts-droid-fallback,
 fonts-noto-core,
 libapache-session-perl,
 libbusiness-hours-perl,
 libcgi-emulate-psgi-perl,
 libcgi-pm-perl,
 libcgi-psgi-perl,
 libclass-accessor-perl,
 libclone-perl,
 libconvert-color-perl,
 libcpanel-json-xs-perl,
 libcrypt-eksblowfish-perl,
 libcrypt-x509-perl,
 libcss-inliner-perl,
 libcss-minifier-xs-perl,
 libcss-squish-perl,
 libdata-guid-perl,
 libdata-ical-perl,
 libdata-page-perl,
 libdate-extract-perl (>= 0.07),
 libdate-manip-perl,
 libdatetime-format-natural-perl,
 libdatetime-locale-perl (>= 1:1.02),
 libdatetime-perl,
 libdbi-perl,
 libdbix-searchbuilder-perl (>= 1.68),
 libdevel-globaldestruction-perl,
 libemail-address-list-perl,
 libemail-address-perl (>= 1.908),
 libencode-detect-perl,
 libencode-hanextra-perl,
 libencode-perl (>= 2.64),
 libfile-sharedir-perl,
 libfile-which-perl,
 libgd-graph-perl (>= 1.54~ds),
 libgd-text-perl,
 libgnupg-interface-perl (>= 1.02),
 libgraphviz2-perl,
 libhtml-formatexternal-perl,
 libhtml-formattext-withlinks-andtables-perl,
 libhtml-formattext-withlinks-perl,
 libhtml-gumbo-perl,
 libhtml-mason-perl,
 libhtml-mason-psgihandler-perl,
 libhtml-quoted-perl,
 libhtml-rewriteattributes-perl (>= 0.06),
 libhtml-scrubber-perl,
 libhttp-message-perl (>= 6.07),
 libipc-run-perl,
 libipc-run3-perl,
 libjavascript-minifier-xs-perl,
 libjson-perl,
 liblist-moreutils-perl,
 liblocale-maketext-fuzzy-perl,
 liblocale-maketext-lexicon-perl,
 liblog-dispatch-perl,
 libmailtools-perl (>= 2.12),
 libmime-tools-perl (>= 5.504),
 libmime-types-perl,
 libmodule-path-perl,
 libmodule-refresh-perl,
 libmodule-runtime-perl,
 libmodule-versions-report-perl,
 libmoose-perl,
 libmoosex-nonmoose-perl,
 libmoosex-role-parameterized-perl,
 libnet-cidr-perl,
 libnet-ip-perl,
 libnet-ldap-perl,
 libnet-ssleay-perl,
 libparallel-forkmanager-perl,
 libpath-dispatcher-perl (>= 1.07),
 libperlio-eol-perl,
 libplack-perl (>= 1.0002),
 libpod-parser-perl,
 libregexp-common-net-cidr-perl,
 libregexp-common-perl,
 libregexp-ipv6-perl,
 librole-basic-perl,
 libscope-upper-perl,
 libstring-shellquote-perl,
 libsymbol-global-name-perl,
 libtext-autoformat-perl,
 libtext-password-pronounceable-perl,
 libtext-quoted-perl (>= 2.07),
 libtext-template-perl,
 libtext-wikiformat-perl,
 libtext-worddiff-perl,
 libtext-wrapper-perl,
 libtime-parsedate-perl,
 libtimedate-perl,
 libtree-simple-perl,
 liburi-perl,
 libweb-machine-perl,
 libwww-perl,
 libxml-rss-perl,
 libxml-simple-perl,
 perl-doc,
 rt5-clients (= ${source:Version}),
 rt5-db-sqlite (= ${source:Version}) | rt5-db-postgresql (= ${source:Version}) | rt5-db-mysql (= ${source:Version}),
 rt5-standalone (= ${source:Version}) | rt5-apache2 (= ${source:Version}) | rt5-fcgi (= ${source:Version}),
 ucf,
Recommends:
 cron-daemon,
 libnet-amazon-s3-perl,
 libwebservice-dropbox-perl,
 w3m,
Suggests:
 rt5-doc-html,
Pre-Depends:
 ${misc:Pre-Depends},
Description: extensible trouble-ticket tracking system
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt5-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 5 series of RT. It can be installed alongside
 the 3.8 and 4 series without any problems.
 .
 This package provides the core of RT.
 .
 This package supports three database types out of the box: MySQL,
 PostgreSQL and SQLite. In order to support a zero-configuration install,
 SQLite will be used by default, but is not recommended for production
 use. Please see /usr/share/doc/request-tracker5/NOTES.Debian for more
 details and consider installing rt5-db-postgresql or rt5-db-mysql at
 the same time as this package.

Package: rt5-clients
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 default-mta | mail-transport-agent,
 libterm-readkey-perl,
 libterm-readline-perl-perl | libterm-readline-gnu-perl,
 libwww-perl,
Recommends:
 libio-socket-ssl-perl,
Description: mail gateway and command-line interface to request-tracker5
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt5-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 5 series of RT. It can be installed alongside
 the 3.8 and 4 series without any problems.
 .
 This package provides support for injecting tickets into Request Tracker
 from a mail server via rt-mailgate. It may be installed onto any
 machine where you want to use the "rt" command-line interface.

Package: rt5-standalone
Architecture: all
Depends:
 ${misc:Depends},
 starlet,
Description: Standalone web server support for request-tracker5
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt5-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 5 series of RT. It can be installed alongside
 the 3.8 and 4 series without any problems.
 .
 This metapackage provides the standalone web server interface.

Package: rt5-fcgi
Architecture: all
Depends:
 ${misc:Depends},
 libfcgi-perl,
 procps,
 spawn-fcgi,
Recommends:
 nginx-full,
Pre-Depends:
 ${misc:Pre-Depends},
Description: External FastCGI support for request-tracker5
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt5-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 5 series of RT. It can be installed alongside
 the 3.8 and 4 series without any problems.
 .
 This package provides an external FCGI interface for web servers
 including, but not limited to, nginx, and is not needed for web servers
 such as Apache which invoke FCGI programs directly.

Package: rt5-apache2
Architecture: all
Depends:
 ${misc:Depends},
 apache2,
 libapache2-mod-fcgid | libapache2-mod-perl2,
Description: Apache 2 specific files for request-tracker5
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt5-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 5 series of RT. It can be installed alongside
 the 3.8 and 4 series without any problems.
 .
 This package provides various configuration files and manages the
 necessary dependencies for running RT version 5 on the Apache 2 web
 server.

Package: rt5-db-postgresql
Architecture: all
Depends:
 ${misc:Depends},
 dbconfig-pgsql | dbconfig-no-thanks,
